std::move_sentinel(3)

NAME
std::move_sentinel - std::move_sentinel

Synopsis
   Defined in header <iterator>
   template< std::semiregular S > (since C++20)
   class move_sentinel;
   std::move_sentinel is a sentinel adaptor used for denoting ranges together with
   std::move_iterator.

Template parameters
   S - the type of underlying sentinel

Member functions
   constructor constructs a new move_sentinel
   (C++20) (public member function)
   operator= assigns the contents of one move_sentinel to another
   (C++20) (public member function)
   base return a copy of the underlying sentinel
   (C++20) (public member function)

Member objects
   Member name Definition
   last (private member object) underlying sentinel, the name is for exposition only

Non-member functions
   Notes: These functions are hidden friends of std::move_iterator and invisible to
   ordinary unqualified or qualified lookup.
   operator==(std::move_sentinel) compares the underlying iterator and the underlying
   (C++20) sentinel
                        (function template)
   operator-(std::move_sentinel) computes the distance between the underlying iterator
   (C++20) and the underlying sentinel
                        (function template)

Example
    This section is incomplete
    Reason: no example

See also
   move_iterator iterator adaptor which dereferences to an rvalue reference
   (C++11) (class template)